Skip to main content
POST
/
api
/
integrations
/
connect
Connect integration
curl --request POST \
  --url https://app.outlit.ai/api/integrations/connect \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "provider": "posthog",
  "config": {
    "apiKey": "phx_...",
    "region": "us",
    "projectId": "12345"
  }
}
'
{
  "connected": true,
  "connectionId": "<string>",
  "alreadyConnected": true
}

Authorizations

Authorization
string
header
required

Outlit API key using the Bearer ok_... format.

Body

application/json
provider
enum<string>
required

Public integration provider ID.

Available options:
hubspot,
attio,
slack,
fireflies,
granola,
google-calendar,
google-mail,
posthog,
stripe,
supabase,
clerk,
pylon
config
object

Direct credential config. Omit to create a browser-auth connection session.

Response

Direct credential connection or browser session response.

connected
boolean
required
connectionId
string
required
alreadyConnected
boolean
required